com.microfocus.zserver.zexplorer.ui

## Class ZExplorerPropertiesComposite

- java.lang.Object
- - org.eclipse.swt.widgets.Widget
  - - org.eclipse.swt.widgets.Control
    - - org.eclipse.swt.widgets.Scrollable
      - - org.eclipse.swt.widgets.Composite
        - - com.microfocus.zserver.zexplorer.ui.ZExplorerPropertiesComposite

- All Implemented Interfaces:
    java.util.EventListener, org.eclipse.swt.events.ModifyListener, org.eclipse.swt.graphics.Drawable, org.eclipse.swt.internal.SWTEventListener

      public final class ZExplorerPropertiesComposite
      extends org.eclipse.swt.widgets.Composite
      implements org.eclipse.swt.events.ModifyListener

  Composite containing custom server properties, such as code page settings, scheduler name, etc. Every instance contains all default controls within the composite. Used internally by the "New z/Server Connection" wizard or the z/Explorer properties page.

  Copyright Micro Focus GmbH.

  Not intended to be sub-classed by clients.
  Author:
    RalfP

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.swt.widgets.Control

      `handle`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZExplorerPropertiesComposite(org.eclipse.swt.widgets.Composite pParent, CustomZServerWizardPage pWizard, java.lang.String pHostname)` Constructor for initializing a new connection.
    `ZExplorerPropertiesComposite(org.eclipse.swt.widgets.Composite pParent, MvsSubsystem pSubSystem, org.eclipse.jface.dialogs.DialogPage pDialog, java.lang.String pHostname)` Constructor to change properties of an existing connection.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `applyValues(MvsSubsystem pSubSystem)` Validates entered field values and sets them in the z/Explorer connection, if they are all valid.
    `void` | `modifyText(org.eclipse.swt.events.ModifyEvent pE)`
    `void` | `restoreDefaultValues()` Restores default values for all enabled dialog fields.
    `void` | `updateFields()` Updates certain fields after e.g.
    `boolean` | `validateFields()` Validates entered values of dialog fields and sets a specific error message if at least one field contains an invalid value.

    - ### Methods inherited from class org.eclipse.swt.widgets.Composite

      `changed, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

    - ### Methods inherited from class org.eclipse.swt.widgets.Scrollable

      `computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar`

    - ### Methods inherited from class org.eclipse.swt.widgets.Control

      `addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

    - ### Methods inherited from class org.eclipse.swt.widgets.Widget

      `addDisposeListener, addListener, dispose, getData, getData, getDisplay, getListeners, getStyle, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, reskin, setData, setData, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.swt.graphics.Drawable

      `isAutoScalable`

- - ### Constructor Detail

    - #### ZExplorerPropertiesComposite

          public ZExplorerPropertiesComposite(org.eclipse.swt.widgets.Composite pParent,
                                              CustomZServerWizardPage pWizard,
                                              java.lang.String pHostname)

      Constructor for initializing a new connection.
      Parameters:
        `pParent` - the parent composite
        `pWizard` - the new z/Server connection wizard
        `pHostname` - the host name

    - #### ZExplorerPropertiesComposite

          public ZExplorerPropertiesComposite(org.eclipse.swt.widgets.Composite pParent,
                                              MvsSubsystem pSubSystem,
                                              org.eclipse.jface.dialogs.DialogPage pDialog,
                                              java.lang.String pHostname)

      Constructor to change properties of an existing connection.
      Parameters:
        `pParent` - the parent composite
        `pSubSystem` - the MVS sub system instance
        `pHostname` - the host name
        `pDialog` - the active dialog page

  - ### Method Detail

    - #### validateFields

          public boolean validateFields()

      Validates entered values of dialog fields and sets a specific error message if at least one field contains an invalid value. Also sets the focus on the invalid field.
      Returns:
        `true` if all values are valid and `false` otherwise.

    - #### modifyText

          public void modifyText(org.eclipse.swt.events.ModifyEvent pE)

      Specified by:
        `modifyText` in interface `org.eclipse.swt.events.ModifyListener`

    - #### updateFields

          public void updateFields()

      Updates certain fields after e.g. the host name of the connection has changed while the composite was active. This can happen if the composite is used by a wizard and the user navigates to a different wizard page, changes a value and than navigates back.

      Currently only the "CCI Key" field is being updated by this method.

    - #### applyValues

          public boolean applyValues(MvsSubsystem pSubSystem)

      Validates entered field values and sets them in the z/Explorer connection, if they are all valid.
      Parameters:
        `pSubSystem` - the MVS sub system to apply the values for
      Returns:
        `true` if entered values were valid and set, `false` if at least one field contains an invalid value and none of the values were set

    - #### restoreDefaultValues

          public void restoreDefaultValues()

      Restores default values for all enabled dialog fields.

Copyright © 2015 Micro Focus GmbH. All rights reserved.